Bug 244049 - POTFILES.in references an inexistent file (src/config.py)
POTFILES.in references an inexistent file (src/config.py)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John Dennis
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 10:32 EDT by Dimitris Glezos
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 15:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris Glezos 2007-06-13 10:32:05 EDT
## Description of problem:

POTFILES.in references `src/config.py` which doesn't exist in CVS, making
automatic POT file generation fail:

po$ intltool-update --pot

/usr/bin/xgettext: error while opening "./../src/config.py" for reading: No such
file or directory
ERROR: xgettext failed to generate PO template file. Please consult
       error message above if there is any.

Need this fixed for setroubleshoot to build correctly in the new WUI for fedora
localizations.
Comment 1 John Dennis 2007-06-25 15:24:42 EDT
fixed the POTFILES.in

BTW, setroubleshoot is no longer maintained in CVS, its in Mercurial
(ssh://hg.fedoraproject.org//hg/hosted/setroubleshoot). 
Comment 2 Greek Fedora Translation Team 2007-06-25 17:06:22 EDT
The statistics page [1] already uses the HG repo.

[1]: http://translate.fedoraproject.org/module/setroubleshoot
Comment 3 John Dennis 2007-06-25 17:16:53 EDT
Great!!!

After doing an 'hg pull; hg update' you should be all set, let me know if you
have any further problems. BTW, I did a 'make update-po' today as well so the po
files should be ready for the translators.
Comment 4 Dimitris Glezos 2007-06-25 19:15:03 EDT
Thanks John.

The script that updates the statistics runs every a few hours, so the stats page
will soon be automatically updated.

Good thing that you merge the new strings to the PO files instead of leaving it
to the translator. This also makes the statistics look right for every language.
Comment 5 John Dennis 2007-09-14 09:56:51 EDT
setroubleshoot split itself into two independent packages recently. The analysis
plugins where most of the translation work is was moved to
setroubleshoot-plugins in the plugins subdirectory. It has it's own po directory
independent of it's parent. Thus there are now two po directories:

./po
./plugins/po

I tried to update this information on the Fedora Translation Wiki a few weeks
ago but the page with the package information had disappeared. Getting this
information to the right folks has been on my todo list. Who should I contact
with this information or is there a new web page for updating package
translation information?
Comment 6 Dimitris Glezos 2007-09-23 01:20:41 EDT
I updated the translate.fedoraproject.org statistics page to reflect the two
different domains in the module (should be live in an hour).

Information that interest developers with translatable resources can be found
at: http://fedoraproject.org/wiki/L10N/ResourceMaintainers.

If there's a change in the configuration of the repo, a string freeze break, and
in general anything translators might want to know about, they always appreciate
a quick email to fedora-trans-list. :)

Thanks.

Note You need to log in before you can comment on or make changes to this bug.